<?php

include 'load.php';


if (isset($_GET['rbid'])) {

	$rbid = mysqli_real_escape_string($conn, $_GET['rbid']);
	$view_qury = mysqli_query($conn, "SELECT * FROM mobileroombooking WHERE rbid='$rbid'");
	$view_result = mysqli_fetch_array($view_qury);

} else {
	echo "<script>window.location='bookinglist.php';</script>";
}


if (isset($_POST['update'])) {

	$rbid = $_GET['rbid'];
	$booknumber = $_POST['booknumber'];
	$customer = $_POST['customer'];
	$room = $_POST['room'];
	$checkindate = $_POST['checkindate'];
	$checkoutdate = $_POST['checkoutdate'];
	$capacity = $_POST['capacity'];
	$note = $_POST['note'];
	$status = $_POST['status'];

	if (!isset($errMSG)) {

		$stmt = $DB_con->prepare('UPDATE mobileroombooking
			SET booknumber=:booknumber,
			customer=:customer,
			room=:room,
			checkindate=:checkindate,
			checkoutdate=:checkoutdate,
			capacity=:capacity,
			note=:note,
			status=:status
			WHERE rbid=:rbid');
		$stmt->bindParam(':booknumber', $booknumber);
		$stmt->bindParam(':customer', $customer);
		$stmt->bindParam(':room', $room);
		$stmt->bindParam(':checkindate', $checkindate);
		$stmt->bindParam(':checkoutdate', $checkoutdate);
		$stmt->bindParam(':capacity', $capacity);
		$stmt->bindParam(':note', $note);
		$stmt->bindParam(':status', $status);
		$stmt->bindParam(':rbid', $rbid);

		if ($stmt->execute()) {

			$successMSG = "Booking Successfully Updated ...";

			header("refresh:2;bookinglist.php"); // redirects image view page after 5 seconds.

		} else {

			$errMSG = "Sorry Data Could Not Updated !";

		}

	}

}

?>

<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
	<meta name="description" content="POS - Eat More Resturant   | Pos & Invetory System | Dashboard">
	<meta name="keywords" content="Eat More Resturant   | Pos & Invetory System | Dashboard">
	<meta name="author" content="Eat More Resturant   | Pos & Invetory System | Dashboard">
	<meta name="robots" content="noindex, nofollow">

	<title>Edit Booking | Eat More Resturant   | Pos & Invetory System | Dashboard</title>

	<?php
	require_once 'headercss.php';
	?>
	
	<script src="assets/js/jquery-3.6.0.min.js"></script>
	<script src="assets/plugins/select2/js/select2.min.js"></script>
	
</head>

<body>

	<div id="global-loader">
		<div class="whirly-loader"> </div>
	</div>

	<div class="main-wrapper">
		<?php
		require_once 'header.php';
		?>

		<?php
		require_once 'navbar.php';
		?>

		<div class="page-wrapper">
			<div class="content">
				<div class="page-header">
					<div class="page-title">
						<h4>Edit Booking</h4>
						<h6>Update your booking</h6>
					</div>
				</div>

				<div class="card">
					<div class="card-body">
						<form method="POST" enctype="multipart/form-data">
							<?php

							if (isset($errMSG)) {

								?>

								<div class="alert alert-danger border-0 bg-danger alert-dismissible fade show py-2">
									<div class="d-flex align-items-center">
										<div class="font-35 text-white"><i class="bx bxs-message-square-x"></i>
										</div>
										<div class="ms-3">
											<h6 class="mb-0 text-white">Error Alerts</h6>
											<div class="text-white">
												<?php echo $errMSG; ?>!
											</div>
										</div>
									</div>
									<button type="button" class="btn-close" data-bs-dismiss="alert"
										aria-label="Close"></button>
								</div>

								<?php

							} else if (isset($successMSG)) {

								?>

									<div class="alert alert-success border-0 bg-success alert-dismissible fade show py-2">
										<div class="d-flex align-items-center">
											<div class="font-35 text-white"><i class="bx bxs-check-circle"></i>
											</div>
											<div class="ms-3">
												<h6 class="mb-0 text-white">Success Alerts</h6>
												<div class="text-white">
												<?php echo $successMSG; ?>!
												</div>
											</div>
										</div>
										<button type="button" class="btn-close" data-bs-dismiss="alert"
											aria-label="Close"></button>
									</div>

								<?php

							}

							?>
							<div class="row">
								<div class="col-lg-3 col-sm-3 col-12">
									<div class="form-group">
										<label>Booking Number</label>
										<input type="text" name="booknumber" class="form-control" placeholder="Enter Booking Number" value="<?php echo $view_result['booknumber']; ?>" readonly>
									</div>
								</div>
								<div class="col-lg-4 col-sm-4 col-12">
									<div class="form-group">
										<label>Customer</label>
										<select name="customer" class="select select2" id="inputcustomer" required>
										<?php if ($view_result['customer'] == "0") {?>
											<option value="0" selected>Select Customer</option>
											<?php }else{ ?>
											<option value="<?php

											$id = $view_result['customer'];

											$query = $DB_con->prepare('SELECT coid FROM mobilecustomers WHERE coid=' . $id);

											$query->execute();

											$result = $query->fetch();

											echo $result['coid'];

											?>"><?php

											$id = $view_result['customer'];

											$query = $DB_con->prepare('SELECT cname,cphone FROM mobilecustomers WHERE coid=' . $id);

											$query->execute();

											$result = $query->fetch();

											echo $result['cname']." | ".$result['cphone'];

											?></option>
											<?php } ?>
											<?php

											$stmt = $DB_con->prepare('SELECT * FROM mobilecustomers ORDER BY coid');

											$stmt->execute();

											if ($stmt->rowCount() > 0) {

												while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {

													extract($row);

													?>
													<option value="<?php echo $row['coid']; ?>"><?php echo $row['cname']; ?> | <?php echo $row['cphone']; ?></option>
													<?php
												}
											}
											?>
										</select>
									</div>
								</div>
								<div class="col-lg-5 col-sm-5 col-12">
									<div class="form-group">
										<label>Rooms</label>
										<select name="room" class="form-control select2" id="inputroom">
											<option selected value="0">Select Room</option>
											<?php

											$stmt = $DB_con->prepare('SELECT * FROM mobileproducts where producttype="Room" ORDER BY prid');

											$stmt->execute();

											if ($stmt->rowCount() > 0) {

												while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {

													extract($row);
													if($view_result['room']==$row['prid']){ ?>
													<option value="<?php echo $row['prid']; ?>" selected><?php echo $row['itemcode']; ?> | <?php echo $row['proname']; ?></option>
													<?php }else{ ?>
													<option value="<?php echo $row['prid']; ?>"><?php echo $row['itemcode']; ?> | <?php echo $row['proname']; ?></option>
													<?php }
													?>
													
													<?php
												}
											}
											?>
										</select>
									</div>
								</div>
								<div class="col-lg-4 col-sm-4 col-12">
									<div class="form-group">
										<label>Check In Date</label>
										<input type="date" name="checkindate" class="form-control" placeholder="Select Check In Date" value="<?php echo $view_result['checkindate']; ?>" required>
									</div>
								</div>
								<div class="col-lg-4 col-sm-4 col-12">
									<div class="form-group">
										<label>Check Out Date</label>
										<input type="date" name="checkoutdate" class="form-control" placeholder="Select Check Out Date" value="<?php echo $view_result['checkoutdate']; ?>" required>
									</div>
								</div>
								<div class="col-lg-4 col-sm-4 col-12">
									<div class="form-group">
										<label>Capacity</label>
										<input type="text" name="capacity" class="form-control" placeholder="Enter Capacity" value="<?php echo number_format((int)$view_result['capacity']); ?>">
									</div>
								</div>
								<div class="col-lg-8 col-sm-8 col-12">
									<div class="form-group">
										<label>Note</label>
										<input type="text" name="note" class="form-control" value="<?php echo $view_result['note']; ?>" placeholder="Enter Note">
									</div>
								</div>
								<div class="col-lg-4 col-sm-4 col-12">
									<div class="form-group">
										<label>Status</label>
										<select class="form-control" name="status" required>
										<option value="1" <?php if ($view_result['status'] == "1") { echo "selected"; } ?>>Active</option>
										<option value="0" <?php if ($view_result['status'] == "0") { echo "selected"; } ?>>Deactive</option>
										</select>
									</div>
								</div>
								<div class="col-lg-12">
									<a href="bookinglist.php" class="btn btn-cancel">Cancel</a>
									<button type="submit" name="update" class="btn btn-submit me-2">Update</button>
								</div>
							</div>
						</form>
					</div>
				</div>

			</div>
		</div>
	</div>


	<!--<script src="assets/js/jquery-3.6.0.min.js"></script>-->

	<script src="assets/js/feather.min.js"></script>

	<script src="assets/js/jquery.slimscroll.min.js"></script>

	<script src="assets/js/jquery.dataTables.min.js"></script>
	<script src="assets/js/dataTables.bootstrap4.min.js"></script>

	<script src="assets/js/bootstrap.bundle.min.js"></script>

	

	<script src="assets/plugins/sweetalert/sweetalert2.all.min.js"></script>
	<script src="assets/plugins/sweetalert/sweetalerts.min.js"></script>

	<script src="assets/js/script.js"></script>
	<script>
		$(document).ready(function(){
    $('.select2').select2({
       
    });
});
</script>
<script>
	$(document).ready(function(){
			$('#inputcategory').change(function(){
				var inputcategory = $(this).val();
					$.ajax({
						type: "POST",
						data: {inputcategory:inputcategory},
						url: "customer-change.php",
						success: function(data){
							$("#inputsubcategory").html(data);
						}
					});
			});
		});



</script>
</body>

</html>